import prisma from '@/lib/db'
import React from 'react'

export default async function DeviceDetails({ params }: {
  params: Promise<{ deviceId: string }>
}) {
  const deviceId = (await params)?.deviceId
  const device = await prisma.device.findUnique({
    where: {
      id: deviceId,
    },

  })
  return (
    <div>
      <div className="flex flex-col justify-between items-start text-gray-500 title-bg py-4 px-2 mb-4">
        <h3 className='text-2xl font-bold'>
          {device?.name}
        </h3>
        <span>{device?.mac}</span>
      </div>

      <div
        id="user-filters"
        className=" pb-4 gap-4 flex sm:flex-row flex-col items-start justify-start"
      >
        {/* <Search /> */}
        {/* <Filter
        options={sortfilterOptions}
        defaultOption="asc"
        queryParamKey="sortBy"
      /> */}
      </div>
      {/* <Suspense key={query} fallback={"loading...."}>
      <DevicesTable searchParams={searchParams} />
    </Suspense> */}
    </div>
  )
}
