export interface Links {
	next_page: string | null;
	previous_page: string | null;
}
export interface Meta {
	total: number;
	per_page: number;
	current_page: number;
	last_page: number;
}

export interface ApiResponse<T> {
	meta: Meta;
	links: Links;
	data: T[];
}

export interface Atoll {
	id: number;
	islands: Island[];
	name: string;
	createdAt: string;
	updatedAt: string;
}

export interface Island {
	id: number;
	name: string;
	createdAt: string;
	updatedAt: string;
}
